Subject: bug#79009: [PATCH] Improve 'vtable' object handling, cache handling, messages

From: Stéphane Marks <[email-masked]>
Date: Sat, 2 Aug 2025 10:22:15 -0400

On Sat, Aug 2, 2025 at 9:47 AM Eli Zaretskii <[email-masked]> wrote:

> > Cc: Spencer Baugh <[email-masked]>,
> >  Kristoffer Balintona <[email-masked]>,
> >  Joost Kremers <[email-masked]>, [email-masked],
> >  Visuwesh <[email-masked]>, Adam Porter <[email-masked]>,
> >  Lars Ingebrigtsen <[email-masked]>, Augusto Stoffel <
> [email-masked]>,
> >  [email-masked]
> > From: [email-masked]
> > Date: Wed, 16 Jul 2025 22:02:56 +0000 (UTC)
> >
> > > My patch is self consistent as far as I can tell.
> > >
> > > Once we decide on if we leave equal semantics to the caller, for
> example, vtable-goto-object call site first locating an object on
> > > its own, then relying on eq semantics to move point, or allow users to
> define -object-equal, the rest of my related changes
> > > (coming shortly after we conclude this part of the discussion) have
> more cache items repaired, not just these.
> > >
> > > We can debate simplifying the cache in a new cache-related patch, yes?
> >
> > Sure.  If we debate it in a new patch, then don't change the cache in
> > this patch.  If you want to change the cache in this patch, then we have
> > to debate it now.
>
> Can we please have an updated patch that we could discuss and perhaps
> install?
>

I think the ball is in my court.  I've been on holiday (but obv reading
email) and will get back to this soon.